%define         srcname          wmMoonClock
%define         srcdirname       src

#lower case for wmdockapp
Name:           wmmoonclock
Version:        1.28
Release:        %mkrel 7
Summary:        A dock application showing the phase of the moon and much more
License:        GPLv2
Group:          Sciences/Astronomy

URL:            http://packages.debian.org/sid/wmmoonclock
Source0:        http://ftp.de.debian.org/debian/pool/main/w/wmmoonclock/%{name}_%{version}.orig.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  libxpm-devel
BuildRequires:  libx11-devel 
BuildRequires:  libxext-devel



%description
Wmmoonclock is another dockapp for WindowMaker, or any window manager
and desktop environment that handles dock applications. It displays
the phase of the moon with a very aesthetic picture which can be
clicked on to get the rise and set times, illuminated fraction,
visibility and astronomical coordinates.



%prep
%setup -q -n %{name}-%{version}

%build
cd %{srcdirname}
%make CFLAGS="%optflags" LIBDIR="%ldflags"


%install
cd %{srcdirname}
install -D -m 755 %{srcname} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{srcname}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc COPYING BUGS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*



%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.28-7.mga6
+ Revision: 942571
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.28-6.mga5
+ Revision: 743460
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.28-5.mga5
+ Revision: 690346
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.28-4.mga4
+ Revision: 520150
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.28-3.mga3
+ Revision: 385777
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 1.28-2.mga3
+ Revision: 314675
- Rebuild for mga3

* Mon Dec 05 2011 eatdirt <eatdirt> 1.28-1.mga2
+ Revision: 176856
- Upgrade to 1.28

* Sat Oct 08 2011 eatdirt <eatdirt> 1.27-1.mga2
+ Revision: 153046
- imported package wmmoonclock


* Fri Oct 08 2011 Chris Ringeval <dirteat@gmail.com> 1.27-1.mga2
- import wmmoonclock
